An issue has been discovered in GitLab affecting all versions starting from 15.11 before 16.1.5, all versions starting from 16.2 before 16.2.5, all versions starting from 16.3 before 16.3.1. An authenticated user could trigger a denial of service when importing or cloning malicious content.
Published 2023-09-01 11:15:42
Updated 2023-09-01 21:13:52
Source GitLab Inc.
View at NVD,   CVE.org
Vulnerability category: Denial of service

Exploit prediction scoring system (EPSS) score for CVE-2023-3210

0.04%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 11 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2023-3210

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
6.5
MEDIUM CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
2.8
3.6
GitLab Inc.
6.5
MEDIUM CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
2.8
3.6
NIST

CWE ids for CVE-2023-3210

  • The product does not properly control the allocation and maintenance of a limited resource, thereby enabling an actor to influence the amount of resources consumed, eventually leading to the exhaustion of available resources.
    Assigned by:
    • cve@gitlab.com (Secondary)
    • nvd@nist.gov (Primary)

References for CVE-2023-3210

Products affected by CVE-2023-3210

  • Gitlab » Gitlab » Community Edition
    Versions from including (>=) 16.2 and before (<) 16.2.5
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:*
  • Gitlab » Gitlab » Community Edition
    Versions from including (>=) 15.11 and before (<) 16.1.5
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:*
  • Gitlab » Gitlab » Enterprise Edition
    Versions from including (>=) 15.11 and before (<) 16.1.5
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:enterprise:*:*:*
  • Gitlab » Gitlab » Enterprise Edition
    Versions from including (>=) 16.2 and before (<) 16.2.5
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:enterprise:*:*:*
  • Gitlab » Gitlab » Version: 16.3.0 Community Edition
    cpe:2.3:a:gitlab:gitlab:16.3.0:*:*:*:community:*:*:*
  • Gitlab » Gitlab » Version: 16.3.0 Enterprise Edition
    cpe:2.3:a:gitlab:gitlab:16.3.0:*:*:*:enterprise:*:*:*
This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!